Results 1 to 3 of 3
  1. #1
    3 Star Lounger
    Join Date
    Sep 2002
    Location
    London, England
    Posts
    294
    Thanks
    0
    Thanked 0 Times in 0 Posts

    must use an updateable query (2000 )

    This may be more of an IIS question, but here goes:

    I have an Access database that is updated via the Web using asp. On my local version of IIS the updates work, on a test website, which is accessed via the internet, the updates work. However, on the client's website they do not. They get the HTTP 500 error which, on closer inspection, turns out to be an 'operation must use an updateable query' error. As far as I know they are running the same code against the same database, so I wonder if there is some IIS setting that might do this. Any ideas?

    Ian

  2. #2
    Super Moderator
    Join Date
    Jun 2002
    Location
    Mt Macedon, Victoria, Australia
    Posts
    3,993
    Thanks
    1
    Thanked 45 Times in 44 Posts

    Re: must use an updateable query (2000 )

    I notice that back in January you asked almost the same question in <post#=332296>post 332296</post#> and were given some suggestions to try then.

    Does this question mean that they didn't fix the problem then, or that the same problem has come up in a different context?
    Regards
    John



  3. #3
    3 Star Lounger
    Join Date
    Sep 2002
    Location
    London, England
    Posts
    294
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Re: must use an updateable query (2000 )

    I'm not sure what solved the previous problem. With this one I have asked for a zip of the site on the client's server to see if there is anything missing. For this project I give my work to someone who sends it to someone else who then loads it onto the server. I in this process there's a good chance that something was overlooked.

    I'll post the answer this time!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •